#!/usr/bin/env python
#-*- coding:utf-8 -*-
#==============================================================================
#  Copyright (C) 2010 Schaefer & Tobies SuC GmbH.
#  Author: Markus Grimm <mgr@schaefer-tobies.de>
#
#  This file is part of Pyontapi.
#
#  Pyontapi is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Pyontapi is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Pyontapi.  If not, see <http://www.gnu.org/licenses/>.
#
#==============================================================================

""" ONTAPI Error Numbers """

NA_ERRNO = {
    '1': 'EONTAPI_EPERM',
    '2': 'EONTAPI_ENOENT',
    '3': 'EONTAPI_ESRCH',
    '4': 'EONTAPI_EINTR',
    '5': 'EONTAPI_EIO',
    '6': 'EONTAPI_ENXIO',
    '7': 'EONTAPI_E2BIG',
    '8': 'EONTAPI_ENOEXEC',
    '9': 'EONTAPI_EBADF',
    '10': 'EONTAPI_ECHILD',
    '11': 'EONTAPI_EDEADLK',
    '12': 'EONTAPI_ENOMEM',
    '13': 'EONTAPI_EACCES',
    '14': 'EONTAPI_EFAULT',
    '15': 'EONTAPI_ENOTBLK',
    '16': 'EONTAPI_EBUSY',
    '17': 'EONTAPI_EEXIST',
    '18': 'EONTAPI_EXDEV',
    '19': 'EONTAPI_ENODEV',
    '20': 'EONTAPI_ENOTDIR',
    '21': 'EONTAPI_EISDIR',
    '22': 'EONTAPI_EINVAL',
    '23': 'EONTAPI_ENFILE',
    '24': 'EONTAPI_EMFILE',
    '25': 'EONTAPI_ENOTTY',
    '26': 'EONTAPI_ETXTBSY',
    '27': 'EONTAPI_EFBIG',
    '28': 'EONTAPI_ENOSPC',
    '29': 'EONTAPI_ESPIPE',
    '30': 'EONTAPI_EROFS',
    '31': 'EONTAPI_EMLINK',
    '32': 'EONTAPI_EPIPE',
    '33': 'EONTAPI_EDOM',
    '34': 'EONTAPI_ERANGE',
    '35': 'EONTAPI_EAGAIN',
    '36': 'EONTAPI_EINPROGESS',
    '37': 'EONTAPI_EALREADY',
    '38': 'EONTAPI_ENOTSOCK',
    '39': 'EONTAPI_EDESTADDRREQ',
    '40': 'EONTAPI_EMSGSIZE',
    '41': 'EONTAPI_EPROTOTYPE',
    '42': 'EONTAPI_ENOPROTOOPT',
    '43': 'EONTAPI_EPROTONOSUPPORT',
    '44': 'EONTAPI_ESOCKTNOSUPPORT',
    '45': 'EONTAPI_EOPNOTSUPP',
    '46': 'EONTAPI_EPFNOSUPPORT',
    '47': 'EONTAPI_EAFNOSUPPORT',
    '48': 'EONTAPI_EADDRINUSE',
    '49': 'EONTAPI_EADDRNOTAVAIL',
    '50': 'EONTAPI_ENETDOWN',
    '51': 'EONTAPI_ENETUNREACH',
    '52': 'EONTAPI_ENETRESET',
    '53': 'EONTAPI_ECONNABORTED',
    '54': 'EONTAPI_ECONNRESET',
    '55': 'EONTAPI_ENOBUFS',
    '56': 'EONTAPI_EISCONN',
    '57': 'EONTAPI_ENOTCONN',
    '58': 'EONTAPI_ESHUTDOWN',
    '59': 'EONTAPI_ETOOMANYREFS',
    '60': 'EONTAPI_ETIMEDOUT',
    '61': 'EONTAPI_ECONNREFUSED',
    '62': 'EONTAPI_ELOOP',
    '63': 'EONTAPI_ENAMETOOLONG',
    '64': 'EONTAPI_EHOSTDOWN',
    '65': 'EONTAPI_EHOSTUNREACH',
    '66': 'EONTAPI_ENOTEMPTY',
    '67': 'EONTAPI_EPROCLIM',
    '14404': 'EFIJIMAXFILTERS',
    '69': 'EONTAPI_EDQUOT',
    '70': 'EONTAPI_ESTALE',
    '71': 'EONTAPI_EREMOTE',
    '72': 'EONTAPI_EBADRPC',
    '73': 'EONTAPI_ERPCMSGDENIED',
    '74': 'EONTAPI_EPROGUNAVAIL',
    '75': 'EONTAPI_EPROGMISMATCH',
    '76': 'EONTAPI_EPROCUNAVAIL',
    '77': 'EONTAPI_ENOLCK',
    '78': 'EONTAPI_ENOSYS',
    '79': 'EONTAPI_EFTYPE',
    '80': 'EONTAPI_EMTUTOOBIG',
    '81': 'EONTAPI_EOFFLINE',
    '82': 'EONTAPI_EBADSTREAM',
    '83': 'EONTAPI_EBADSTREAMDIR',
    '84': 'EONTAPI_ELOADCOMPLETE',
    '85': 'EONTAPI_EMOUNTING',
    '14422': 'EAGGRFAILINGOVER',
    '14423': 'EAGGRMISMATCH',
    '14424': 'ENFS_CLIENT_STATS_NOT_ENABLED',
    '14425': 'ELOOPUNAVAILABLE',
    '14426': 'ESNAPSHOTEXISTSPARTIAL',
    '99': 'EONTAPI_EWFLUSH',
    '100': 'EONTAPI_EBADPATH',
    '101': 'EONTAPI_EBADCHAR',
    '102': 'EONTAPI_ESHARECONFLICT',
    '103': 'EONTAPI_ELOCKCONFLICT',
    '104': 'EONTAPI_ENOTCOVERED',
    '105': 'EONTAPI_EBADXINODE',
    '106': 'EONTAPI_ENOTXINODE',
    '107': 'EONTAPI_EBADOWNER',
    '108': 'EONTAPI_ERMTWRITELEN',
    '109': 'EONTAPI_EBADRMT',
    '110': 'EONTAPI_EKNOWNBADRMT',
    '111': 'EONTAPI_ERMTEOF',
    '112': 'EONTAPI_EDELPENDING',
    '113': 'EONTAPI_ETRUNCATED',
    '114': 'EONTAPI_EREJECTED',
    '115': 'EONTAPI_EREADONLY',
    '14452': 'ESNAPVAULTRESOURCE',
    '117': 'EONTAPI_ETOOCOMPLEX',
    '118': 'EONTAPI_EREGX',
    '119': 'EONTAPI_EREGXBADVALUE',
    '120': 'EONTAPI_EPERSISTENCE',
    '121': 'EONTAPI_ESTHREAD',
    '122': 'EONTAPI_EDISABLED',
    '123': 'EONTAPI_ENOTVSCANNED',
    '14460': 'EVOLUME_NOT_QUIESCED_NOT_MOUNTED',
    '125': 'EONTAPI_ESYSTEMERR',
    '14462': 'EVOLUME_NOT_QUIESCED_NOT_FLEX',
    '127': 'EONTAPI_ERPCGSSSEQNUM',
    '14464': 'EVOLUME_NOT_QUIESCED_GOING_HOME',
    '14465': 'EVOLUME_NOT_QUIESCED_CB_TIMEOUT',
    '14466': 'EVOLUME_NOT_QUIESCED_NOT_DRAIN',
    '14467': 'EVOLUME_NOT_QUIESCED_FOR_CORAL',
    '132': 'EONTAPI_ENOTLOCKED',
    '14469': 'EVOLUME_HAS_VFILER_STORAGE',
    '134': 'EONTAPI_ENOSPCSNAP',
    '135': 'EONTAPI_ENOMORESNAPS',
    '136': 'EONTAPI_ERECURSE',
    '137': 'EONTAPI_ERECLAIM',
    '138': 'EONTAPI_EZEROLENREC',
    '139': 'EONTAPI_ENOTFSCREENED',
    '140': 'EONTAPI_EISVDISK',
    '141': 'EONTAPI_EWAFLMSGABORTED',
    '142': 'EONTAPI_EMSGNULLIFY',
    '143': 'EONTAPI_ECOMPRESSCHECK',
    '144': 'EONTAPI_EVOLSMALL',
    '145': 'EONTAPI_EVOLBIG',
    '146': 'EONTAPI_EVOLPAIRED',
    '147': 'EONTAPI_EVOLNOTFLEX',
    '148': 'EONTAPI_EVOLSTALE',
    '149': 'EONTAPI_ENOREG',
    '150': 'EONTAPI_ENOREGKEY',
    '151': 'EONTAPI_ECANNOTDELETE',
    '152': 'EONTAPI_EWORMNOCLOCK',
    '153': 'EONTAPI_EWORMVOLWORM',
    '154': 'EONTAPI_EWORMVOLSLC',
    '155': 'EONTAPI_EWORMVOLNOTWORM',
    '156': 'EONTAPI_EWORMSNAPLOCKED',
    '157': 'EONTAPI_EWORMSNAPRENAME',
    '158': 'EONTAPI_EWORMPERIOD',
    '159': 'EONTAPI_ENOSPCAGGR',
    '160': 'EONTAPI_EVOLOPNOTSUPP',
    '14500': 'ESNAPDIFFINTERROR',
    '14501': 'ESNAPDIFFINVINPUT',
    '14502': 'ESNAPDIFFINVSNAPSHOT',
    '14503': 'ESNAPDIFFSNAPSHOTCHANGED',
    '14504': 'ESNAPDIFFSNAPSHOTEARLIER',
    '14506': 'ESNAPDIFFMAXSESSIONSEXCEEDED',
    '14507': 'ESNAPDIFFDUPLICATESESSION',
    '14508': 'ESNAPDIFFINVALIDSESSION',
    '14509': 'ESNAPDIFFNOI2P',
    '14510': 'ESNAPDIFFVOLOFFLINE',
    '14511': 'ESNAPDIFFABORTED',
    '14512': 'EVOLUMEGSMINVALID',
    '14513': 'EAPIMISSINGOUTPUT',
    '14514': 'EINVALIDOUTPUTERROR',
    '14515': 'EVOLUMECOMPRESSED',
    '14516': 'EVOLUMENOTDECOMPRESSING',
    '14517': 'ENOTIMEZONESET',
    '14518': 'ENOTIMEZONEVERSION',
    '14519': 'EINVALIDTIMEZONE',
    '14520': 'ETIMEZONEDIFFERENTINRC',
    '14521': 'ESNAPLOCKNOTLICENSED',
    '14522': 'ECOMPLIANCECLOCKNOTSET',
    '14523': 'ETAKENOVER',
    '14524': 'EDATENOTSETONPARTNER',
    '14525': 'ERSHSESSIONERROR',
    '14526': 'ERSHKILLERROR',
    '14527': 'EDENSE_REVERTING',
    '14528': 'EDENSE_IRON_RUNNING',
    '14529': 'EDENSE_CLONE_SFSR_INPROG',
    '14530': 'EDENSE_NLCSR_INPROG',
    '14531': 'EDENSE_VOL_NONEXIST',
    '14532': 'EDENSE_VOL_OFFLINE',
    '14533': 'EDENSE_VOL_NOTSUP',
    '14534': 'EDENSE_VOL_RDONLY',
    '13100': 'ESNAPMIRROROFF',
    '14536': 'EDENSE_VOL_RESTRICTED',
    '14537': 'EDENSE_SNAPSHOT_CREATE',
    '14538': 'EDENSE_SNAPSHOT_DELETE',
    '14539': 'EDENSE_SNAPSHOT_NONEXIST',
    '14540': 'EDENSE_STALE_DINODE',
    '14541': 'EDENSE_STALE_RINODE',
    '14542': 'EDENSE_STALE_DBUF',
    '14543': 'EDENSE_STALE_RBUF',
    '14544': 'EDENSE_CIFS_HOLE_RERVD',
    '14545': 'EDENSE_DONOR_TOO_SMALL',
    '14546': 'EDENSE_RECIPIENT_TOO_SMALL',
    '14547': 'EDENSE_NO_SPACE',
    '14548': 'EDENSE_SHUTDOWN',
    '14549': 'EDENSE_FAILOVER',
    '14550': 'EDENSE_DONOR_RANGE',
    '14551': 'EDENSE_RECPT_RANGE',
    '14552': 'EDENSE_QUOTA_CHECK',
    '14553': 'EDENSE_UNSUPPORTED_VOLTYPE',
    '14554': 'EDENSE_CLONE_SPLITTING',
    '14555': 'EDENSE_CLONE_STOPPED',
    '14556': 'EDENSE_CLONE_SFILE_NONEXIST',
    '14557': 'EDENSE_CLONE_CFILE_NONEXIST',
    '14558': 'EDENSE_CLONE_NO_SLOT',
    '14559': 'EDENSE_CLONE_NO_ARGS',
    '14560': 'EDENSE_CLONE_DIFF_VOLUME',
    '14561': 'EDENSE_CLONE_SAME_FILE',
    '14562': 'EDENSE_CLONE_VOL_REVERTING',
    '14563': 'EDENSE_CLONE_IN_PROG',
    '14564': 'EDENSE_CLONE_SNAPNAME',
    '14565': 'EDENSE_CLONE_SNAPPATH',
    '14566': 'EDENSE_CLONE_SNAP_FH',
    '14567': 'EDENSE_CLONE_SNAP_ATTR',
    '14568': 'EDENSE_CLONE_SFILE_ATTR',
    '14569': 'EDENSE_CLONE_CFILE_ATTR',
    '14570': 'EDENSE_CLONE_EXIST',
    '14571': 'EDENSE_CLONE_METAFILE',
    '14572': 'EDENSE_CLONE_METAFILE_FH',
    '14573': 'EDENSE_CLONE_METAFILE_WRITE',
    '14574': 'EDENSE_CLONE_METAFILE_ATTR',
    '14575': 'EDENSE_CLONE_METAFILE_READ',
    '14576': 'EDENSE_CLONE_SFILE_READ',
    '14577': 'EDENSE_CLONE_CFILE_WRITE',
    '14578': 'EDENSE_CLONE_FH',
    '14579': 'EDENSE_CLONE_CREATE',
    '14580': 'EDENSE_CLONE_SETATTR',
    '14581': 'EDENSE_CLONE_SOURCE_FH',
    '14582': 'EDENSE_CLONE_NOT_SUPP',
    '14583': 'EDENSE_CLONE_PROC',
    '14584': 'EDENSE_CLONE_TYPE_SUPP',
    '14585': 'EDENSE_CLONE_SRC_OUTOF_RANGE',
    '14586': 'EDENSE_CLONE_DEST_OUTOF_RANGE',
    '14587': 'EDENSE_CLONE_OVERLAP_RANGE',
    '14588': 'EDENSE_CLONE_INVALID_RANGE',
    '14589': 'EDENSE_CLONE_RUNNING_OP',
    '14590': 'EDENSE_CLONE_NOT_RUNNING',
    '14591': 'EDENSE_CLONE_NO_OP',
    '14592': 'EDENSE_CLONE_NOT_FAILED',
    '14593': 'EDENSE_CLONE_DEL_INFO',
    '14594': 'EDENSE_CLONE_PENDING_SNAP',
    '14595': 'EDENSE_CLONE_SPLIT_MAP',
    '14596': 'EDENSE_CLONE_INVALID_SOURCE',
    '14597': 'EDENSE_CLONE_INVALID_CLONE',
    '14598': 'EDENSE_CLONE_SNAP_DEL',
    '14599': 'EDENSE_CLONE_GET_SNAPID',
    '14600': 'EDENSE_CLONE_SMALL_DATA',
    '14601': 'EDENSE_VDISK_INVALID_NAME',
    '14602': 'EDENSE_VDISK_NOT_IN_QTREE_ROOT',
    '14603': 'EDENSE_VDISK_VOL_SPARSE_WO_SCSI',
    '14604': 'EDENSE_VDISK_INTERNAL_ERROR',
    '14605': 'EDENSE_VDISK_INVALID_FH',
    '14606': 'EDENSE_VDISK_NO_SUCH_VDISK',
    '14607': 'EDENSE_VDISK_LBA_OFFSET_MISALIGNED',
    '14608': 'EDENSE_VDISK_SRC_INVALID_BLOCK_RANGE',
    '14609': 'EDENSE_VDISK_DST_INVALID_BLOCK_RANGE',
    '14610': 'EDENSE_VDISK_SRC_LUN_CLONE',
    '14611': 'EDENSE_CLONE_MAX_PROC',
    '14612': 'EDENSE_CLONE_INVALID_DIR',
    '14613': 'EDENSE_CLONE_NOT_QTREE_ROOT',
    '14614': 'EDENSE_CLONE_LARGE_INFO',
    '14615': 'EDENSE_CLONE_INVALID_ID',
    '14616': 'EDENSE_CLONE_NOT_LICENSED',
    '14617': 'EDENSE_CLONE_LICENSE_EXPIRED',
    '14618': 'EDENSE_CLONE_FILE_FOLD_INPROG',
    '14619': 'EDENSE_CLONE_WORM_VOL',
    '14620': 'EDENSE_CLONE_INVALID_UUID',
    '14621': 'EDENSE_CLONE_EXISTING_OP',
    '14622': 'EDENSE_CLONE_CHANGELOG_OFF',
    '14468': 'EVOLAGGRISIRONING',
    '9031': 'EVDISK_ERROR_SNAPSHOT_FILE_NOT_VDISK',
    '14401': 'EFIJIINVALID',
    '14402': 'EFIJIINVALIDEXPR',
    '14403': 'EFIJINOFILTER',
    '68': 'EONTAPI_EUSERS',
    '13039': 'EVOLUMEQUIESCED',
    '9016': 'EVDISK_ERROR_NO_SUCH_LUNMAP',
    '13045': 'EVOLUMERGSIZEINVALID',
    '9017': 'EVDISK_ERROR_NO_SUCH_VDISK',
    '13051': 'EQUOTAINVALID',
    '13110': 'EISCSISECINVALIDINPUTERROR',
    '14420': 'EAGGRDOESNOTEXIST',
    '14421': 'EAGGRNOTONLINE',
    '9005': 'EVDISK_ERROR_NOT_VALID_FC_WWN',
    '13111': 'EISCSISECPROCESSINGERROR',
    '9020': 'EVDISK_ERROR_NO_SUCH_DIRECTORY',
    '9023': 'EVDISK_ERROR_INITGROUP_HAS_VDISK',
    '13115': 'EINVALIDINPUTERROR',
    '14450': 'ESNAPVAULTERR',
    '14451': 'ESNAPVAULTSETUP',
    '116': 'EONTAPI_EPARTNERREJECT',
    '14453': 'ESNAPVAULTBUSY',
    '13001': 'EAPIERROR',
    '13002': 'EAPIAUTHENTICATION',
    '13003': 'EAPIPRIVILEGE',
    '13004': 'EAPIEXCEPTION',
    '13005': 'EAPINOTFOUND',
    '13006': 'EAPIMISSINGARGUMENT',
    '13007': 'EAPINOTIMPLEMENTED',
    '13008': 'EAPILICENSE',
    '13009': 'EAPIINDEXTOOLARGE',
    '13010': 'EAPIUNSUPPORTEDVERSION',
    '13011': 'EAPITRANSMISSION',
    '13012': 'EOPNOTSUPPORTED',
    '13013': 'EALREADYSTARTED',
    '13014': 'ENOTSTARTED',
    '13015': 'ESERVICENOTSTOPPED',
    '13016': 'ENOTWHILEWAITINGFORGIVEBACK',
    '13017': 'ENOTINMAINTMODE',
    '13018': 'ENOTINREADONLYMODE',
    '13019': 'EAPITOOMANYENTRIES',
    '13020': 'ESNAPSHOTEXISTS',
    '13021': 'ESNAPSHOTDOESNOTEXIST',
    '13022': 'ESNAPSHOTTOOMANY',
    '13023': 'ESNAPSHOTNOTALLOWED',
    '13024': 'ESNAPSHOTBUSY',
    '13025': 'ESNAPSHOTNOSPACE',
    '13026': 'EDUPLICATEDSID',
    '13027': 'EINVALIDDSID',
    '13028': 'EINVALIDMSID',
    '13029': 'EAMBIGUOUS_DSID',
    '124': 'EONTAPI_EFABRIC',
    '13037': 'ESTRIPEDRESTOREOPNOTFOUND',
    '13038': 'EVOLUMESNAPRESTOREERROR',
    '14461': 'EVOLUME_NOT_QUIESCED_ROOT_VOLUME',
    '13040': 'EVOLUMEDOESNOTEXIST',
    '13041': 'EVOLUMEMOUNTING',
    '13042': 'EVOLUMEOFFLINE',
    '13043': 'EVOLUMEREADONLY',
    '13044': 'EVOLUMENAMEINVALID',
    '126': 'EONTAPI_EGSSAPI',
    '13046': 'EVOLUMELANGUAGEINVALID',
    '13047': 'EVOLUMEDISKSIZEINVALID',
    '13048': 'EVOLUMEDISKDUP',
    '13049': 'EVOLUMERGINVALID',
    '13050': 'EQUOTAPARSEERROR',
    '14463': 'EVOLUME_NOT_QUIESCED_IRONING',
    '13052': 'EQUOTAEXISTS',
    '13053': 'EQUOTADOESNOTEXIST',
    '13054': 'EQUOTADIRECTIVE',
    '13055': 'EAPI_CONNECTION',
    '13056': 'EAPI_CONNECTION_DROPPED',
    '13057': 'EAPI_RECEPTION',
    '13058': 'EVOL_NOT_OFFLINE',
    '13059': 'EVOL_NOT_RESTRICTED',
    '13060': 'EVOL_ONLINE',
    '13061': 'EVOL_RESTRICTED',
    '13062': 'EVOL_SPACE_FOR_GUARANTEE',
    '13063': 'EVOL_TOO_MANY',
    '13064': 'EVOLUME_NOT_QUIESCED',
    '13065': 'EVOLUME_CLEAR_QUIESCE',
    '13066': 'EVOLUME_ALREADY_QUIESCED_SET',
    '13067': 'EVOLUME_ALREADY_QUIESCED_CLEAR',
    '130': 'EONTAPI_ERSRVNSUPPORTED',
    '13070': 'EVFILEROPNOTALLOWED',
    '13071': 'EVFILERNOTFOUND',
    '13072': 'EVFILEROPNOTCOMPLETED',
    '13073': 'EIPSPACENOTFOUND',
    '131': 'EONTAPI_ENOQTREE',
    '9006': 'EVDISK_ERROR_NOT_VALID_ISCSI_NAME',
    '13080': 'EQTREEEXISTS',
    '13081': 'EQTREENOTOWNER',
    '13082': 'EQTREEMAX',
    '133': 'EONTAPI_ELOCKCANCELLED',
    '13090': 'ECMSINVALIDREQUEST',
    '13091': 'ECMSNOTENABLED',
    '13092': 'ECMSPROCESSINGERROR',
    '9000': 'EVDISK_ERROR_NOT_IMPLEMENTED',
    '9001': 'EVDISK_ERROR_NOT_QTREE_ROOT',
    '9002': 'EVDISK_ERROR_NOT_VDISK_TYPE',
    '9003': 'EVDISK_ERROR_NO_SUCH_INITGROUP',
    '9004': 'EVDISK_ERROR_INITGROUP_EXISTS',
    '13101': 'ESNAPMIRRORPARSERERROR',
    '13102': 'ESNAPMIRRORERROR',
    '9007': 'EVDISK_ERROR_NODE_NOT_IN_INITGROUP',
    '9008': 'EVDISK_ERROR_INITGROUP_HAS_NODE',
    '9009': 'EVDISK_ERROR_LUN_MAPPING_CONFLICT',
    '9010': 'EVDISK_ERROR_INITGROUP_WRONG_TYPE',
    '9011': 'EVDISK_ERROR_NO_SUCH_ATTRIBUTE',
    '9012': 'EVDISK_ERROR_VDISK_EXISTS',
    '13109': 'EISCSISECINVALIDAUTHTYPE',
    '9014': 'EVDISK_ERROR_VDISK_NOT_ENABLED',
    '9015': 'EVDISK_ERROR_VDISK_NOT_DISABLED',
    '13112': 'EISCSISECINITNOTFOUNDERROR',
    '13113': 'EFILENOTFOUND',
    '13114': 'EINTERNALERROR',
    '9019': 'EVDISK_ERROR_SOURCE_IS_VDISK',
    '13116': 'ESETSPCRESERROR',
    '9021': 'EVDISK_ERROR_INVALID_SNAPSHOT_PATH',
    '9022': 'EVDISK_ERROR_NOT_IN_SAME_VOLUME',
    '9013': 'EVDISK_ERROR_VDISK_EXPORTED',
    '9024': 'EVDISK_ERROR_INITGROUP_HAS_LUN',
    '9025': 'EVDISK_ERROR_INITGROUP_MISSING_ARGS',
    '13122': 'EADAPTERNOTFOUND',
    '13123': 'EADAPTERPARTNER',
    '9028': 'EVDISK_ERROR_NO_EXPORTED_VDISK_SHARE_WRITE',
    '13125': 'EADAPTERINVALIDTYPE',
    '9030': 'EVDISK_ERROR_VOLUME_NOT_SPACE_RESERVED',
    '13127': 'ENOVIRTUALADAPTERS',
    '9032': 'EVDISK_ERROR_NITGROUP_INVALID_ATTR_VALUE_OS_TYPE',
    '9033': 'EVDISK_ERROR_MUST_SPECIFY_F_FLAG',
    '9034': 'EVDISK_ERROR_SIZE_TOO_LARGE',
    '9035': 'EVDISK_ERROR_RESIZE_TOO_LARGE',
    '9036': 'EVDISK_ERROR_NO_SUCH_VOLUME',
    '9037': 'EVDISK_ERROR_USER_ABORT_ACTION',
    '9038': 'EVDISK_ERROR_CLONING',
    '9039': 'EVDISK_ERROR_INITIATOR_HAS_VDISK',
    '9040': 'EVDISK_ERROR_FILE_IS_SPC_RESERVED',
    '9041': 'EVDISK_ERROR_SIZE_TOO_SMALL',
    '9042': 'EVDISK_ERROR_SIZE_UNCHANGED',
    '9043': 'EVDISK_ERROR_NO_SUCH_SNAPSHOT',
    '9044': 'EVDISK_ERROR_IGROUP_NOT_THROTTLED',
    '9045': 'EVDISK_ERROR_IGROUP_ALREDY_THROTTLED',
    '9046': 'EVDISK_ERROR_THROTTLE_TOO_MUHC',
    '9047': 'EVDISK_ERROR_THROTTLE_BEING_DELETED',
    '9048': 'EVDISK_ERROR_NO_SUCH_CLONE',
    '9049': 'EVDISK_ERROR_NO_ISCSI_THROTTLES',
    '9050': 'EVDISK_ERROR_INVALID_ATTR_MODE_VALUE',
    '9051': 'EVDISK_ERROR_INITGROUP_MEMBER_CONFLICTING_OS_TYPES',
    '9052': 'EVDISK_ERROR_INITGROUP_SET_TYPE_CONFLICT',
    '9018': 'EVDISK_ERROR_NOT_IN_SAME_QTREE',
    '13150': 'EDISKNOTFOUND',
    '13151': 'ESWAPINPROGRESS',
    '13152': 'ENOTDISKOWNER',
    '9057':  'EVDISK_ERROR_RESIZE_IMGAG_TYPE_LUN_FIXES',
    '9058':  'EVDISK_ERROR_INITGROUP_F_FLAG_REQUIRED',
    '9059':  'EVDISK_ERROR_USE_PARTNER_NOT_APPLICABLE',
    '9060':  'EVDISK_ERROR_RESTORE_WALKOVER_EACHOTHER',
    '9061':  'EVDISK_ERROR_VOLUME_SPARSE',
    '9062':  'EVDISK_ERROR_DESTROY_LUN_BUSY',
    '9063':  'EVDISK_ERROR_CANT_CREATE_INITGROUP_FILE',
    '13160': 'EVOLUMECREATING',
    '13161': 'ECLIENTSTATSVFILER',
    '13162': 'ECLIENTSTATSNOTENABLED',
    '13163': 'ENOACTIVECLIENTS',
    '13164': 'ECIFSNOTCONFIGURED',
    '13165': 'EDNSNOTENABLED',
    '13166': 'EHOSTNOTFOUND',
    '9071':  'EVDISK_ERROR_SNAPVALIDATOR_ERROR',
    '9072':  'EVDISK_ERROR_PARTNER_HAS_LUN',
    '9073':  'EVDISK_ERROR_PARTNER_NOT_REACHABLE',
    '9074':  'EVDISK_ERROR_PORTSET_NO_SUCH_SET',
    '13171': 'EVOLOPNOTUNDERWAY',
    '9076':  'EVDISK_ERROR_PORTSET_HAS_PORT',
    '9077':  'EVDISK_ERROR_PORTSET_INVALID_PORT_NAME',
    '9078':  'EVDISK_ERROR_PORTSET_TOO_MANY_PORTS',
    '9079':  'EVDISK_ERROR_PORTSET_WRONG_TYPE',
    '9080':  'EVDISK_ERROR_INITGROUP_ALREADY_BOUND',
    '9081':  'EVDISK_ERROR_INITGROUP_NOT_BOUND',
    '9082':  'EVDISK_ERROR_INITGROUP_EMPTY_PSET_BIND',
    '9083':  'EVDISK_ERROR_PORTSET_NO_SUCH_PORT',
    '9084':  'EVDISK_ERROR_PORTSET_NO_SUCH_FILER_NAME',
    '9085':  'EVDISK_ERROR_PARTNER_HAS_DIFFERENT_OS_TYPE',
    '9086':  'EVDISK_ERROR_PARTNER_HAS_DIFFERENT_VSA_SETTING',
    '9087':  'EVDISK_ERROR_PORTSET_CANT_CREATE_FILE',
    '9088':  'EVDISK_ERROR_PORTSET_CANT_WRITE_FILE',
    '9089':  'EVDISK_ERROR_PORTSET_CANT_READ_FILE',
    '9090':  'EVDISK_ERROR_PORTSET_CANT_OPEN_FILE',
    '9091':  'EVDISK_ERROR_LUN_TOO_LARGE',
    '9092':  'EVDISK_ERROR_PORTSET_IC_DOWN',
    '9093':  'EVDISK_ERROR_CLONE_NOT_SPLITTING',
    '9095':  'EVDISK_ERROR_LUN_HAS_NO_SERIAL_NO',
    '9096':  'EVDISK_ERROR_PORTSET_THROTTLE_EXCEEDED',
    '9097':  'EVDISK_ERROR_PORTSET_CANT_DESTROY_BOUND_PORTSET',
    '9098':  'EVDISK_ERROR_CFMODE_MISMATCH',
    '9099':  'EVDISK_ERROR_PORTSET_NOT_VALID_CFMODE',
    '9100':  'EVDISK_ERROR_CANNOT_CHANGE_SPCRES_DURING_SPLIT',
    '9101':  'EVDISK_ERROR_INITGROUP_BIND_WRONG_TYPE',
    '9102':  'EVDISK_ERROR_DB_BAD_INDEX',
    '9103':  'EVDISK_ERROR_DB_NO_SUCH_DATABASE',
    '13200': 'ESVCDISABLED',
    '13201': 'ESVCNOTAVAIL',
    '13202': 'ESHAREACCESSDENIED',
    '13203': 'ESHAREEXISTS',
    '13204': 'ESHARETOOMANY',
    '9110':  'EVDISK_ERROR_PORTSET_INVALID_PARTNER_PORT_NAME',
    '9111':  'EVDISK_ERROR_PORTSET_BOTH_INVALID_PORT_NAMES',
    '9112':  'EVDISK_ERROR_PARTNER_WWNN_MISMATCH_FOR_SSI',
    '9113':  'EVDISK_ERROR_INVALID_DEVICE_ID',
    '13210': 'ECIFSSHARINGVIOLATION',
    '9115':  'EVDISK_ERROR_WWPN_ALIASES_NOT_SET',
    '9116':  'EVDISK_ERROR_WWPN_ALIASES_TOO_MANY',
    '9117':  'EVDISK_ERROR_WWPN_ALIAS_INVALID',
    '9118':  'EVDISK_ERROR_QTREE_PRESERVE_FAILED',
    '9029':  'EVDISK_ERROR_INITGROUP_MAPS_EXIST',
    '9120':  'EVDISK_ERROR_QTREE_CLEANUP_FAILED',
    '9121':  'EVDISK_ERROR_PREFIX_SUFFIX_SIZE_MISMATCH',
    '13218': 'EINVALIDINODE',
    '13219': 'EINELIGIBLEINODE',
    '13220': 'EPARENTINFONOTLOADED',
    '13126': 'ENOADAPTERPARTNER',
    '13222': 'EVV_COMMON',
    '9127':  'EVDISK_ERROR_LUN_HAS_FCP_IGROUP',
    '9128':  'EVDISK_ERROR_LUN_HAS_ALUA_CONFLICTS',
    '9129':  'EVDISK_ERROR_PORTSET_TOO_FEW_PORTS',
    '9130':  'EVDISK_ERROR_WWPN_NOT_FOUND',
    '9131':  'EVDISK_ERROR_WWPN_ALIAS_REMOVE_INVALID_NUM_ARGS',
    '9132':  'EVDISK_ERROR_IN_TAKEOVER',
    '9133':  'EVDISK_ERROR_WWPN_ALIAS_ALREADY_SET',
    '9134':  'EVDISK_ERROR_VOLUMES_ONLINING',
    '13128': 'ENOTCLUSTERED',
    '13129': 'ECLUSTERED',
    '13250': 'ECIFS_LOGIN_FAILED',
    '13251': 'ECIFS_BIND_FAILED',
    '13252': 'ECIFS_DNS_REQUIRED',
    '13253': 'ECIFS_KRB_CONFLICT',
    '13254': 'ECIFS_AD_CLOCK_SKEW',
    '13255': 'ECIFS_AD_RESET_REQUIRED',
    '13256': 'ECIFS_LIST_UNAVAILABLE',
    '13257': 'ECIFS_DC_CONNECT_FAILED',
    '13258': 'ECIFS_HAVE_SESSION_SCOPED_LOCKS',
    '13259': 'ECIFS_PASSWD_AND_GROUP_REQUIRED',
    '13260': 'ECIFS_SETUP_CANNOT_WRITE',
    '13301': 'EEMS_INVOKE_FAILED',
    '13303': 'EEMS_INVOKE_BAD_PARAM',
    '13310': 'EEMS_INVOKE_ID_BAD',
    '13311': 'EEMS_INVOKE_SEVERITY_REQUIRED',
    '13312': 'EEMS_INVOKE_SEVERITY_INVALID',
    '13313': 'EEMS_INVOKE_SEVERITY_NOT_VARIABLE',
    '13314': 'EEMS_INVOKE_PARAMS_INSUFFICIENT',
    '13315': 'EEMS_INVOKE_VERSION_INVALID',
    '13316': 'EEMS_INVOKE_SUPRESS_DUP',
    '13317': 'EEMS_INVOKE_SUPRESS_TIMER',
    '13318': 'EEMS_INVOKE_NVRAM_TOO_BIG',
    '13319': 'EEMS_INVOKE_QUEUE_FULL',
    '9053':  'EVDISK_ERROR_INITGROUP_MEMBER_VSA_MIXED',
    '9054':  'EVDISK_ERROR_INITGROUP_SET_VSA_CONFLICT',
    '9055':  'EVDISK_ERROR_RESIZE_FIXES_NOT_GEOM_ALIGNED',
    '9056':  'EVDISK_ERROR_RESIZE_VLD_TYPE_LUN_FIXES',
    '13153': 'EDISKINRAIDZEROVOL',
    '13154': 'EDISKISSPARE',
    '13155': 'EVOLUMEPLEXINVALID',
    '13156': 'EVOLUMEINUSE',
    '13157': 'EVOLUMENOTONLINE',
    '13158': 'EVOLUMEBUSY',
    '13159': 'EVOLUMECIFSTERMINATE',
    '9064':  'EVDISK_ERROR_CANT_WRITE_INITGROUP_FILE',
    '9065':  'EVDISK_ERROR_CANT_RENAME_INITGROUP_FILE',
    '9066':  'EVDISK_ERROR_CANT_CREATE_VFILER_SHADOW_INITGROUP_FILE',
    '9067':  'EVDISK_ERROR_CANT_WRITE_VFILER_SHADOW_INITGROUP_FILE',
    '9068':  'EVDISK_ERROR_CANT_RENAME_VFILER_SHADOW_INITGROUP_FILE',
    '9069':  'EVDISK_ERROR_INITGROUP_TOO_MANY_NODENAMES',
    '9070':  'EVDISK_ERROR_LUN_MISSING_FROM_SNAPSHOT',
    '13167': 'ELDAPSVRNOTFOUND',
    '14535': 'EDENSE_VOL_TRANSITING',
    '13170': 'EVOLNOTCLONE',
    '9075':  'EVDISK_ERROR_PORTSET_ALREADY_EXIST',
    '13501': 'EREALLOCATE_EXISTS',
    '13502': 'EREALLOCATE_BADPATH',
    '13503': 'EREALLOCATE_NOMEM',
    '13504': 'EREALLOCATE_NOSCAN',
    '13505': 'EREALLOCATE_BADVOL',
    '13506': 'EREALLOCATE_READONLY',
    '13507': 'EREALLOCATE_BADSCHED',
    '13508': 'EREALLOCATE_OFF',
    '13509': 'EREALLOCATE_SNAPSHOT',
    '13510': 'EDISKNOTSPARE',
    '13511': 'EDISKTOOSMALL',
    '13512': 'ERAIDGROUPDEGRADED',
    '13513': 'ESAVECOREDISK',
    '13514': 'EINVALIDSTATE',
    '13515': 'ECANT_USE_ALL_DISKS',
    '13600': 'ENPMINVPLOC',
    '13601': 'ENPMNOPKG',
    '13602': 'ENPMNOMETA',
    '13603': 'ENPMERXMETA',
    '13604': 'EINCRCOPYFAILED',
    '13605': 'EINCRCOPYOPNOTFOUND',
    '13606': 'EINCRCOPYINVALIDUUID',
    '13607': 'EINCRCOPYINVALIDOP',
    '13608': 'EINCRCOPYNOMEM',
    '13609': 'EINCRCOPYINVALIDINPUT',
    '13610': 'EINCRCOPYINVALIDOPTYPE',
    '13611': 'EINCRCOPYDUPLICATESESSION',
    '13612': 'EINCRCOPYNOTSUPPORT',
    '13613': 'EINCRCOPYVOLOFFLINE',
    '13614': 'EINCRCOPYVOLNOTFOUND',
    '13615': 'EINCRCOPYSNAPCREATIONFAIL',
    '13616': 'EINCRCOPYSNAPSHOTEXIST',
    '13617': 'EINCRCOPYNOSTREAMESTABLISHED',
    '13618': 'EINCRCOPYAGAIN',
    '13619': 'EINCRCOPY_CSM_CALL_FAIL',
    '13620': 'EINCRCOPY_CSM_SEND_FAIL',
    '13621': 'EINCRCOPY_CSM_CANT_GET_SESSION',
    '13622': 'EINCRCOPY_CSM_CANT_REGISTER_SENDCB',
    '13623': 'EDSIDPARSEERROR',
    '13624': 'EINCRCOPY_SET_INCORE_QUIESCE_VOL_FAIL',
    '13625': 'EINCRCOPY_UNSET_INCORE_QUIESCE_VOL_FAIL',
    '13626': 'EINCRCOPY_SET_ONDISK_QUIESCE_VOL_FAIL',
    '9104':  'EVDISK_ERROR_ALUA_NOT_SUPPORTED_ON_ISCSI',
    '9105':  'EVDISK_ERROR_ALUA_NOT_SUPPORTED_ON_CFMODE',
    '13700': 'ECGERROR',
    '13701': 'ECGSNAPERR',
    '13702': 'ECGOFF',
    '9114':  'EVDISK_ERROR_WWPN_ALIAS_NOT_FOUND',
    '13211': 'EINVALIDHOST',
    '13212': 'EINVALIDOWNERID',
    '13213': 'EINVALIDOWNER',
    '13214': 'EINVALIDPASSWORD',
    '9119':  'EVDISK_ERROR_QTREE_RESTORE_FAILED',
    '13216': 'EINODENUMBERTOOSMALL',
    '13217': 'EINODENUMBERTOOLARGE',
    '9122':  'EVDISK_ERROR_ALUA_ISCSI_TRANSPORT_TYPE_CONFLICT',
    '9123':  'EVDISK_ERROR_ALUA_FCP_TRANSPORT_TYPE_CONFLICT',
    '9124':  'EVDISK_ERROR_LUN_HAS_ALUA_ENABLED_ISCSI_IGROUP',
    '13221': 'EI2PNOTENABLED',
    '9126':  'EVDISK_ERROR_LUN_HAS_ISCSI_IGROUP',
    '13800': 'ECHARMAP_INVALID',
    '13801': 'ECHARMAP_NO_PERSIST',
    '13909': 'ENVRAMSIZEMISMATCH',
    '13215': 'EEXPORTSINCOMPATIBLE',
    '13900': 'ETOERRMIN',
    '13901': 'ESERVICENOTINITIALIZED',
    '13902': 'ESERVICENOTLICENSED',
    '13903': 'ESERVICENOTENABLED',
    '13904': 'EMBOXDEGRADED',
    '13905': 'EMBOXUNKNOWN',
    '13906': 'EMBOXVERSIONMISMATCH',
    '13907': 'EPARTNERDISABLEDTO',
    '13908': 'EOPERATORDENY',
    '9026':  'EVDISK_ERROR_INITGROUP_INVALID_ATTR_TYPE',
    '13910': 'EVERSIONMISMATCH',
    '13911': 'EINTERCONNECTERROR',
    '13912': 'EPARTNERBOOTING',
    '13913': 'ESHELFHOT',
    '13914': 'EPARTNERREVERT',
    '13915': 'ELOCALREVERT',
    '13916': 'EPARTNERTRYINGTAKEOVER',
    '13917': 'ETAKEOVERINPROGRESS',
    '13918': 'EHALTNOTAKEOVER',
    '13919': 'EUNSYNCNVRAM',
    '13920': 'EUNKNOWNTAKEOVERERROR',
    '13921': 'EWAITINGFORPARTNER',
    '13922': 'ELOWMEMORY',
    '13923': 'EHALTING',
    '13924': 'EMBOXUNCERTAIN',
    '13925': 'ENOAUTOTAKEOVER',
    '13926': 'EPARTNERNOTWAITING',
    '13927': 'ENOAGGRS',
    '13937': 'ENOPARTNERINVENTORY',
    '13938': 'EPARTNERMISSINGDISKS',
    '9125':  'EVDISK_ERROR_LUN_HAS_ALUA_ENABLED_FCP_IGROUP',
    '13946': 'ESENDHOMEINPROGRESS',
    '13947': 'ENVRAMDOWN',
    '13948': 'EINTERCONNECTRESET',
    '13949': 'EBADOPTIONS',
    '13950': 'ENOTHALTED',
    '13951': 'EREVERTINPROGRESS',
    '13952': 'ESERVICEENABLED',
    '13953': 'EINTAKEOVER',
    '13954': 'ETOERRMAX',
    '13955': 'EOPLOCKRECALLFAILED',
    '14000': 'EINVALIDRESERVATION',
    '14001': 'ENODISKSFOUND',
    '14002': 'EMUSTBEINMAINTMODE',
    '14003': 'EFILEEXISTS',
    '14004': 'EJUNCTIONEXISTS',
    '14005': 'EJUNCTIONDOESNOTEXIST',
    '14006': 'EBADFILELENGTH',
    '14007': 'EFILER_NOT_HEALTHY',
    '13945': 'ENOTHINGTOTAKEOVER',
    '9027':  'EVDISK_ERROR_INITGROUP_INVALID_ATTR_VALUE',
    '128':   'EONTAPI_EPROXYME',
    '14100': 'EBADCOREID',
    '14101': 'ECOREDUMPBUSY',
    '14102': 'ECOREDUMPNOTINITIALIZED',
    '129':   'EONTAPI_ERSRVCONFLICT',
    '14200': 'ESESNOTREADY',
    '14201': 'ESESBUSY',
    '14300': 'ERDB_HA_SF_NOT_INITIALIZED',
    '14301': 'ERDB_HA_ID_MISMATCH',
    '14302': 'ERDB_HA_CONFIGURED',
    '14303': 'ERDB_HA_PARTIALLY_CONFIGURED',
    '14304': 'ERDB_HA_NOT_CONFIGURED',
    '14305': 'ERDB_HA_CONFIG_UUID_MISMATCH',
    '14306': 'ERDB_HA_CANNOT_EXIT_CONFIG',
    '14307': 'ERDB_HA_IO_ERROR',
    '14308': 'ERDB_HA_INVALID_SLOT',
    '14309': 'ERDB_HA_OLD_COOKIE',
    '14310': 'ERDB_HA_INVALID_INPUT',
    '14311': 'ERDB_HA_FAILURE',
    '14312': 'ERDB_HA_ILLEGAL_SLOT_CONTENT',
    '14313': 'ERDB_HA_SLOT_UUID_MISMATCH'
}
